Selection API/it: Difference between revisions

From FreeCAD Documentation
(Created page with "=API del modulo Selezione= Il sottomodulo Selection fa parte del modulo FreeCADGui. Esempio: import FreeCADGui sel = FreeCADGui.Selection.getSelection() {{APIFunction|addS...")
 
(aggiornato)
Line 1: Line 1:
=API del modulo Selezione=
== API del modulo Selezione ==
Il sottomodulo Selection fa parte del modulo FreeCADGui. Esempio:
Il sottomodulo Selection fa parte del modulo FreeCADGui. Esempio:


Line 7: Line 7:
{{APIFunction|addSelection|FreeCAD.Object|Adds an object to the selection| }}
{{APIFunction|addSelection|FreeCAD.Object|Adds an object to the selection| }}
{{APIFunction|clearSelection|[string]|Clears the selection of the given document name. If no document is given the complete selection is cleared.| }}
{{APIFunction|clearSelection|[string]|Clears the selection of the given document name. If no document is given the complete selection is cleared.| }}
{{APIFunction|getSelection|[string]|Returns a list of selected objects for a given document name. If no document is given the complete selection is returned.|a list of objects}}
{{APIFunction|getSelection|[string]|Returns a list of selected document objects for a given document name. If no document is given the complete selection is returned.|a list of document objects in the order they were selected.}}
{{APIFunction|getSelectionEx|[string]|Returns a list of SelectionObject for a given document name. If no document is given the complete selection is returned. Used for selecting subobjects (ex some Edges of a Face).|a list of SelectionObjects in the order they were selected}}
{{APIFunction|isSelected|FreeCAD.Object|Checks if a given object is selected| }}
{{APIFunction|isSelected|FreeCAD.Object|Checks if a given object is selected| }}
{{APIFunction|removeSelection|FreeCAD.Object|Removes an object from the selection| }}
{{APIFunction|removeSelection|FreeCAD.Object|Removes an object from the selection| }}


{{languages/it | {{en|Selection_API}} {{es|Selection_API/es}} }}
{{languages/it | {{en|Selection_API}} {{es|Selection_API/es}} {{fr|Selection_API/fr}} }}


[[Category:API/it]]
[[Category:API/it]]

Revision as of 16:46, 24 November 2013

API del modulo Selezione

Il sottomodulo Selection fa parte del modulo FreeCADGui. Esempio:

import FreeCADGui
sel = FreeCADGui.Selection.getSelection()
addSelection(FreeCAD.Object)

Description: Adds an object to the selection

Returns:

clearSelection([string])

Description: Clears the selection of the given document name. If no document is given the complete selection is cleared.

Returns:

getSelection([string])

Description: Returns a list of selected document objects for a given document name. If no document is given the complete selection is returned.

Returns: a list of document objects in the order they were selected.

getSelectionEx([string])

Description: Returns a list of SelectionObject for a given document name. If no document is given the complete selection is returned. Used for selecting subobjects (ex some Edges of a Face).

Returns: a list of SelectionObjects in the order they were selected

isSelected(FreeCAD.Object)

Description: Checks if a given object is selected

Returns:

removeSelection(FreeCAD.Object)

Description: Removes an object from the selection

Returns:

Altre lingue: